summaryrefslogtreecommitdiffstats
path: root/source/l/gmm
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gmm')
-rwxr-xr-xsource/l/gmm/gmm.SlackBuild68
-rw-r--r--source/l/gmm/gmm.info2
-rw-r--r--source/l/gmm/slack-desc19
3 files changed, 89 insertions, 0 deletions
diff --git a/source/l/gmm/gmm.SlackBuild b/source/l/gmm/gmm.SlackBuild
new file mode 100755
index 000000000..c5ee5ce92
--- /dev/null
+++ b/source/l/gmm/gmm.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+
+
+PRGNAM=gmm
+VERSION=3.1
+ARCH=noarch
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/gmm/gmm.info b/source/l/gmm/gmm.info
new file mode 100644
index 000000000..0d193be21
--- /dev/null
+++ b/source/l/gmm/gmm.info
@@ -0,0 +1,2 @@
+HOMEPAGE="http://home.gna.org/getfem/gmm_intro.html"
+DOWNLOAD="http://download.gna.org/getfem/stable/gmm-3.0.tar.gz"
diff --git a/source/l/gmm/slack-desc b/source/l/gmm/slack-desc
new file mode 100644
index 000000000..af0b80903
--- /dev/null
+++ b/source/l/gmm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+gmm: gmm (C++ generic matrix template library)
+gmm:
+gmm: Gmm++ is a generic C++ template library for sparse, dense and skyline
+gmm: matrices. It is built as a set of generic algorithms (mult, add, copy,
+gmm: sub-matrices, dense and sparse solvers, etc.) for any interfaced vector
+gmm: type or matrix type. It can be viewed as a glue library that allows
+gmm: cooperation between several vector and matrix types. However, basic
+gmm: sparse, dense and skyline matrix/vector types are built in Gmm++, so
+gmm: it can be used as a standalone linear algebra library.
+gmm:
+gmm: